package com.pcloud.book.group.dao;

import com.pcloud.book.group.entity.ResourcePageModel;
import com.pcloud.common.core.dao.BaseDao;

import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 图书标准服务(ResourcePageModel)表数据库访问层
 *
 * @author 
 * @since 2022-01-15 15:16:45
 */
public interface ResourcePageModelDao extends BaseDao<ResourcePageModel> {


    List<ResourcePageModel> getByPaegId(Long resourcePageId);


    void deleteByPageId(Long resourcePageId);

    void deleteByPageIdAndTypeCode(Long resourcePageId, List<String> typeCodes);

    void deleteByPageIdExcludeTypeCode(Long resourcePageId, List<String> typeCodes);
}

